/*
 * gtkcooker: an abstraction layer on top of gtk
 * http://www.nongnu.org/gtkcooker
 * Public domain.
 */

#ifndef _KEYWORDS_H_
#define _KEYWORDS_H_

enum keyword {
  NULL_KEYWORD,
  KEYWORD_ACTIVATE,
  KEYWORD_ACTIVE,
  KEYWORD_ALWAYS,
  KEYWORD_AUTOMATIC,
  KEYWORD_BACKGROUND,
  KEYWORD_BACKGROUND_ACTIVE,
  KEYWORD_BACKGROUND_INSENSITIVE,
  KEYWORD_BACKGROUND_NORMAL,
  KEYWORD_BACKGROUND_PRELIGHT,
  KEYWORD_BACKGROUND_SELECTED,
  KEYWORD_BORDER,
  KEYWORD_BOTTOM,
  KEYWORD_BOX,
  KEYWORD_BUTTON,
  KEYWORD_CANCEL,
  KEYWORD_CCODE,
  KEYWORD_CENTER,
  KEYWORD_CHECK,
  KEYWORD_CINCLUDE,
  KEYWORD_CLICKED,
  KEYWORD_DAD,
  KEYWORD_DEFAULT,
  KEYWORD_DELETE,
  KEYWORD_DIRECTION,
  KEYWORD_DRAW,
  KEYWORD_ENTER,
  KEYWORD_ENTRY,
  KEYWORD_EXPAND,
  KEYWORD_EXPOSE,
  KEYWORD_FALSE,
  KEYWORD_FILE,
  KEYWORD_FILL,
  KEYWORD_FOCUS,
  KEYWORD_FONT,
  KEYWORD_FOREGROUND,
  KEYWORD_FOREGROUND_ACTIVE,
  KEYWORD_FOREGROUND_INSENSITIVE,
  KEYWORD_FOREGROUND_NORMAL,
  KEYWORD_FOREGROUND_PRELIGHT,
  KEYWORD_FOREGROUND_SELECTED,
  KEYWORD_GLOBAL,
  KEYWORD_GROUP,
  KEYWORD_GROW,
  KEYWORD_HALIGN,
  KEYWORD_HCODE,
  KEYWORD_HEIGHT,
  KEYWORD_HINCLUDE,
  KEYWORD_HOMOGENEOUS,
  KEYWORD_HORIZONTAL,
  KEYWORD_HSCROLL,
  KEYWORD_IMAGE,
  KEYWORD_INCLUDE,
  KEYWORD_INIT,
  KEYWORD_KEY,
  KEYWORD_LABEL,
  KEYWORD_LEAVE,
  KEYWORD_LEFT,
  KEYWORD_LIST,
  KEYWORD_MEMORY,
  KEYWORD_MENU,
  KEYWORD_MODAL,
  KEYWORD_MOUSE,
  KEYWORD_MULTILINES,
  KEYWORD_NEVER,
  KEYWORD_NONE,
  KEYWORD_NORMAL,
  KEYWORD_OK,
  KEYWORD_PADDING,
  KEYWORD_POINTER,
  KEYWORD_POSITION,
  KEYWORD_RADIO,
  KEYWORD_RESIZER,
  KEYWORD_RIGHT,
  KEYWORD_SCROLL,
  KEYWORD_SEPARATOR,
  KEYWORD_SOURCE,
  KEYWORD_SPACING,
  KEYWORD_TEXT,
  KEYWORD_TOGGLE,
  KEYWORD_TOP,
  KEYWORD_TRUE,
  KEYWORD_TYPE,
  KEYWORD_VALIGN,
  KEYWORD_VERTICAL,
  KEYWORD_VSCROLL,
  KEYWORD_WIDGET,
  KEYWORD_WIDTH,
  KEYWORD_WINDOW,
};

typedef enum keyword keyword;

struct keywords {
  char *name;
  keyword key;
};

keyword lookup(char *, int);
char *get_keyword(keyword);

#endif /* _KEYWORDS_H_ */
